CSFML 2.6.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
sfInputStream Struct Reference

Set of callbacks that allow users to define custom file streams. More...

`#include <SFML/System/InputStream.h>`

## Public Attributes

sfInputStreamReadFunc | read
| Function to read data from the stream.
sfInputStreamSeekFunc | seek
| Function to set the current read position.
sfInputStreamTellFunc | tell
| Function to get the current read position.
sfInputStreamGetSizeFunc | getSize
| Function to get the total number of bytes in the stream.
void * | userData
| User data that will be passed to the callbacks.

## Detailed Description

Set of callbacks that allow users to define custom file streams.

Definition at line 44 of file InputStream.h.

## Member Data Documentation

## ◆ getSize

sfInputStreamGetSizeFunc sfInputStream::getSize

Function to get the total number of bytes in the stream.

Definition at line 49 of file InputStream.h.

## ◆ read

sfInputStreamReadFunc sfInputStream::read

Function to read data from the stream.

Definition at line 46 of file InputStream.h.

## ◆ seek

sfInputStreamSeekFunc sfInputStream::seek

Function to set the current read position.

Definition at line 47 of file InputStream.h.

## ◆ tell

sfInputStreamTellFunc sfInputStream::tell

Function to get the current read position.

Definition at line 48 of file InputStream.h.

## ◆ userData

void* sfInputStream::userData

User data that will be passed to the callbacks.

Definition at line 50 of file InputStream.h.

The documentation for this struct was generated from the following file:

- InputStream.h